Get XP Transfer by ID

Retrieve details of a specific XP transfer by its ID. This is a public endpoint that does not require authentication. Note: Private transfers will return 404 (not found) to maintain privacy.

Path parameters

transfer_idstringRequired
Transfer ID

Response

OK
amountintegerOptional
Amount of XP transferred
created_atintegerOptional

Creation timestamp (milliseconds since epoch)

feeintegerOptional

Fee charged for the transfer (deducted from sender’s balance)

idstringOptional
Unique transfer identifier
is_privatebooleanOptional

Whether the transfer is private (not shown on public feeds)

recipientstringOptional

Address of the recipient (gaining XP)

seasonstringOptional

Season identifier (‘season1’ for Season 1, ‘season2’ for Season 2, etc.)

senderstringOptional

Address of the sender (losing XP)

Errors

400
Bad Request Error
404
Not Found Error